var DriveConfiguration = {
	
	validConfigs: [
			/*  0 - AV */
			[
				{ name: "Drive Enable", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal11", allowSwap: "13" },
				{ name: "Run Forward", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal12", allowSwap: "13" },				 
				{ name: "Run Reverse", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal13", allowSwap: "13" },
				{ name: "Analog input select", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal14", allowSwap: "13" },				
				{ name: "Frequency reference 1",  component: "potentiometer", terminal1: "terminal1", terminal2: "terminal2", terminal3: "terminal4", allowSwap: "13" },
				{ name: "Frequency reference 2", component: "potentiometer", terminal1: "terminal1", terminal2: "terminal5", terminal3: "terminal4", allowSwap: "13" },
				{ name: "Analog Meter", component: "analogmeter", terminal1: "terminal1", terminal2: null, terminal3: "terminal7", allowSwap: "13" }				
			],
			/* 1 - AI */
			[
				{ name: "Drive Enable", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal11", allowSwap: "13" },
				{ name: "Run Forward", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal12", allowSwap: "13" },				 
				{ name: "Run Reverse", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal13", allowSwap: "13" },
				{ name: "Analog input select", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal14", allowSwap: "13" },				
				{ name: "Current speed reference input",  component: "currentsource", terminal1: "terminal1", terminal2: null, terminal3: "terminal2" },
				{ name: "Analog Meter", component: "analogmeter", terminal1: "terminal1", terminal2: null, terminal3: "terminal7", allowSwap: "13" },	
				{ name: "Frequency reference 2", component: "potentiometer", terminal1: "terminal1", terminal2: "terminal5", terminal3: "terminal4", allowSwap: "13" }
			],
			/* 2 - AV.Pr */
			[ 
				{ name: "Drive Enable", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal11", allowSwap: "13" },
				{ name: "Run Forward", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal12", allowSwap: "13" },				 
				{ name: "Run Reverse", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal13", allowSwap: "13" },
				{ name: "Reference Select 1", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal5", allowSwap: "13" },				
				{ name: "Reference Select 2", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal14", allowSwap: "13" },								
				{ name: "Frequency reference 1",  component: "potentiometer", terminal1: "terminal1", terminal2: "terminal2", terminal3: "terminal4", allowSwap: "13" },
				{ name: "Analog Meter", component: "analogmeter", terminal1: "terminal1", terminal2: null, terminal3: "terminal7", allowSwap: "13" }	
			],			
			/* 3 - AI.Pr */
			[
				{ name: "Drive Enable", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal11", allowSwap: "13" },
				{ name: "Run Forward", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal12", allowSwap: "13" },				 
				{ name: "Run Reverse", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal13", allowSwap: "13" },
				{ name: "Reference Select 1", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal5", allowSwap: "13" },				
				{ name: "Reference Select 2", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal14", allowSwap: "13" },								
				{ name: "Current speed reference input",  component: "currentsource", terminal1: "terminal1", terminal2: null, terminal3: "terminal2" },
				{ name: "Analog Meter", component: "analogmeter", terminal1: "terminal1", terminal2: null, terminal3: "terminal7", allowSwap: "13" }	
			],
			/* 4 - Preset */
			[
				{ name: "Drive Enable", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal11", allowSwap: "13" },
				{ name: "Run Forward", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal12", allowSwap: "13" },				 
				{ name: "Run Reverse", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal13", allowSwap: "13" },
				{ name: "Reference Select 1", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal5", allowSwap: "13" },				
				{ name: "Reference Select 2", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal14", allowSwap: "13" },
				{ name: "Analog Meter", component: "analogmeter", terminal1: "terminal1", terminal2: null, terminal3: "terminal7", allowSwap: "13" }	
			],
			/* 5 - Pad */
			[
				{ name: "Drive Enable", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal11", allowSwap: "13" },
				{ name: "Analog Meter", component: "analogmeter", terminal1: "terminal1", terminal2: null, terminal3: "terminal7", allowSwap: "13" }	
			],
			/* 6 - Pad.Ref */
			[
				{ name: "Drive Enable", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal11", allowSwap: "13" },
				{ name: "Run Forward", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal12", allowSwap: "13" },				 
				{ name: "Run Reverse", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal13", allowSwap: "13" },
				{ name: "Analog input select", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal14", allowSwap: "13" },				
				{ name: "Analog Meter", component: "analogmeter", terminal1: "terminal1", terminal2: null, terminal3: "terminal7", allowSwap: "13" }	
			],
			/* 7 - E.Pot */
			[
				{ name: "Drive Enable", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal11", allowSwap: "13" },
				{ name: "Run Forward", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal12", allowSwap: "13" },				 
				{ name: "Run Reverse", component: "switch", terminal1: "terminal9", terminal2: null, terminal3: "terminal13", allowSwap: "13" },
				{ name: "Down", component: "pushbutton", terminal1: "terminal9", terminal2: null, terminal3: "terminal5", allowSwap: "13" },				
				{ name: "Up", component: "pushbutton", terminal1: "terminal9", terminal2: null, terminal3: "terminal14", allowSwap: "13" },
				{ name: "Analog Meter", component: "analogmeter", terminal1: "terminal1", terminal2: null, terminal3: "terminal7", allowSwap: "13" }	
			],
			/* 8 - torque */
			[],
			/* 9 - Pid */
			[]
			
		]
		
};
