function Scope(svg, drive, parameter) {
	var that = this;
	
	this.svg = svg;
	
	this.drive = drive;
	
	this.parameter = parameter;
	
	var container = svg.select('#graphContainer');
	var rect = svg.select('#graphBg');
	var bbox = rect.node().getBBox();


	var defs = svg.select("defs");
	/*var filter = defs.append("filter").attr("id", "scopeglow")
	filter.append("feGaussianBlur")
		.attr("stdDeviation", 2)
		.attr("result", "scopecoloredBlur");
	var feMerge = filter.append("feMerge");
	feMerge.append("feMergeNode").attr("in", "scopecoloredBlur")
	feMerge.append("feMergeNode").attr("in", "SourceGraphic");*/

	var limit = 60;
	var duration = 100;
	var now = new Date(Date.now() - duration);

	var width = bbox.width;
	var height = bbox.height;
		
	var graphContainer = container.append('g').attr('transform', 'translate('+ bbox.x + ',' + bbox.y + ')');

       
  
	var data = d3.range(limit).map(function() {
                return 0
            });
     
    var x = d3.scaleTime()
        .domain([now - (limit - 2), now - duration])
        .range([0, width])
      
    
    //var maxFreq = parseFloat(this.drive.getParameterValue("1.006"));   
    var maxFreq = 50;    
    var y = d3.scaleLinear()
        .domain([-maxFreq, maxFreq])
        .range([height, 0]);
  		

    var line = d3.line()
    	.curve(d3.curveBasis)
        .x(function(d, i) {
            return x(now - (limit - 1 - i) * duration)
        })
        .y(function(d) {
            return y(d)
        })

      
		
    /*var axis = graphContainer.append('g')
        .attr('class', 'x axis')
        .attr('transform', 'translate(0,' + height + ')')
      */

    var paths = graphContainer.append('g');
	
	
	
    var path = paths.append('path')
            .data([data])
            .attr('class', 'scopeline')
            .style('stroke', '#00ff38')
            .attr('d', line);
        
         

    function tick() {
    	
    	now = new Date()

        // Add new values
        data.push(that.getValue());
        path.attr('d', line);
        

        // Shift domain
        x.domain([now - (limit - 2) * duration, now - duration]);

        // Slide x-axis left
       /* axis.transition()
            .duration(duration)
            .ease(d3.easeLinear)
            .call(d3.axisBottom(x).ticks(d3.timeSecond.every(1)));
*/
        // Slide paths left
        paths.attr('transform', null)
            .transition()
            .duration(duration)
            .ease(d3.easeLinear)
            .attr('transform', 'translate(' + x(now - (limit-1) * duration) + ')')
            .on('end', tick)


				
		
        // Remove oldest data point from each group
        if (data.length>limit) {
            data.shift();
        }
       
    }

	tick();
}

Scope.prototype = {
	getValue: function() {
		if (!this.drive.started) return 0;
		
		return parseFloat(this.drive.getParameterValue(this.parameter));
	
	}
	
	
	

}
