/* UI Dialog Fix */

// on window resize run function
$(window).resize(function () {
	fluidDialog();
});

// catch dialog if opened within a viewport smaller than the dialog width
$(document).on("dialogopen", ".ui-dialog", function (event, ui) {
	fluidDialog();
});

function fluidDialog() {
	var $visible = $(".ui-dialog:visible");
	// each open dialog
	$visible.each(function () {
		var $this = $(this);
		var dialog = $this.find(".ui-dialog-content").data("ui-dialog");
		// if fluid option == true
		if (dialog.options.fluid) {
			var wWidth = $(window).width();
			// check window width against dialog width
			if (wWidth < (parseInt(dialog.options.maxWidth) + 50))  {
				// keep dialog from filling entire screen
				$this.css("max-width", "100%");
			} else {
				// fix maxWidth bug
				$this.css("max-width", dialog.options.maxWidth + "px");
			}
			//reposition dialog
			dialog.option("position", dialog.options.position);
		}
	});
}

$(document).ready(function(){
	// Nav
	$('a.menu').on('click', function(){
		var target = $('#' + $(this).attr('data-target'));
		target.toggleClass('open');
		$(this).toggleClass('open');
	});
	
	// Expandable
	$(document).on('click', '.expand', function(e){
		e.preventDefault();
		var target = $($(this).attr('data-target'));
		target.toggle();
	});
	
	// Filterstrings
	loadFilterstrings();
	
	// check we are logged in for any ajax calls
	$(document).ajaxError(function(e, jqXHR) {
		if(jqXHR.status == '401'){
			// unauthorised
			window.location = '/login';
		}
	});
});

function loadFilterstrings(){
	// filterstring
	$('.filterstring').each(function(){
		var input = $(this);
		var select = $('select[name=select_' + $(this).attr('name') + ']');
		
		// setup
		if(select.find('option').filter(function(){ return $(this).attr('value') == input.val(); }).length == 0){
			select.find('option').filter(function(){ return $(this).attr('value') == ''; }).prop('selected', true);
			input.show();
		} else {
			input.hide();
			input.val(select.val());
		}

		// when select is changed
		select.on('change', function(){	
			if(select.val() == ''){
				input.show();
			}
			else{
				input.hide();
				input.val(select.val());
			}
		});
	});
}